import type { MjFormTextRenderOpts } from '.'
import type { RenderParams } from '../mj-form-plugin'

import { VxeUI } from 'vxe-table'

import { mj_form_text } from '../mj-table'
import Index from './index.vue'
// 创建一个附件上传渲染器
VxeUI.renderer.add(mj_form_text, {
  // 项显示模板
  renderFormItemContent(renderOpts: any, renderParams: any) {
    return (
      <Index
        renderOpts={renderOpts as MjFormTextRenderOpts}
        renderParams={renderParams as RenderParams}
      />
    )
  },
})
